using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;

namespace digioz
{
    public class ChatMessage
    {
        private int ciID;
        private string csUsername;
        private string csMessage;
        private DateTime csTimestamp;

        public ChatMessage()
        { }

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string Username
        {
            get { return csUsername; }
            set { csUsername = value; }
        }

        public string Message
        {
            get { return csMessage; }
            set { csMessage = value; }
        }

        public DateTime Timestamp
        {
            get { return csTimestamp; }
            set { csTimestamp = value; }
        }
    }

    public class ChatMessageList : BindingList<ChatMessage>
    {
        public ChatMessageList()
        { }
    }
}
